Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The Blender Python API Reference

## Submodules:

- `Types`

- `Scene`

- `Object`

- `NMesh`

- `Material`

- `Armature`

- `Camera`

- `Lamp`

- `World`

- `Metaball`

- `Effect`

- `Curve`

- `Ipo`

- `BGL`

- `Draw`

- `Window`

- `Image`

- `Text`

## Introduction:

This Reference documents the Blender Python API, a growing collection of Python modules (libs) that give access to part of the program's internal data and functions.

Through scripting, Blender can be extended in realtime. Possibilities range from simple functionality to importers / exporters and even more complex "applications". Blender scripts are written in Python, an impressive high level, multi-paradigm, open-source language.

Version: 0.1

Author: The Blender Python Team

Requires: Blender 2.28 (already updated for 2.28a) or newer.

See also:

  www.blender.org , projects.blender.org , www.python.org , www.python.org/doc

Function Summary |
| `Get(request)` Retrieve settings from Blender.
| `Redraw()` Redraw all 3D windows
int | `ReleaseGlobalDict(bool)` Define whether the global Python Interpreter dictionary should be cleared after the script is run.
| `Set(request, data)` Update settings in Blender

Function Details |

Get(request)

Retrieve settings from Blender.

  Parameters:

    `request` - The setting data to be returned:

    - 'curframe': the current animation frame

    - 'curtime' : the current animation time

    - 'staframe': the start frame of the animation

    - 'endframe': the end frame of the animation

    - 'filename': the name of the last file read or written

    - 'version' : the Blender version number

    (type=string)

  Returns:

    The requested data.

Redraw()

Redraw all 3D windows

ReleaseGlobalDict(bool=None)

Define whether the global Python Interpreter dictionary should be cleared after the script is run. Default is to clear (non-zero bool).

  Parameters:

    `bool` - The flag to release (non-zero bool) or not (bool = 0) the dict. if no argument is passed, this function simply returns the current behavior.

    (type=an int, actually)

  Returns:

    A bool value (0 or 1) telling the current behavior.

    (type=int)

  Warning: This function was added as a test and there's a good chance that it won't be kept in the future, in favor of a better method.

Set(request, data)

Update settings in Blender

  Parameters:

    `request` - The setting to change:

    - 'curframe': the current animation frame

    (type=string)

    `data` - The new value.

    (type=int)

<<< Previous | Home | Next >>>
Python API Reference | Up | Module Types